#
# Makefile created by mfg (version 2.1)
#

TARGET =	libGToolKit.a
CLEAN =		GTKAction.o GToolKit.o GTK.o GTKApplication.o
ADDLIBS =
HEADERS =	GTKRuler.h GTKObject.h GTKLabel.h GTKAction.h GTKToolbar.h \
		GTKRadioMenuItem.h GTKTreeItem.h GTKVBox.h GTKPreview.h \
		GTKHPaned.h GTKDialog.h GTKHButtonBox.h GTKHScrollbar.h \
		GTKFixed.h GTKFrame.h GToolKit.h GTKEventBox.h GTKHRuler.h \
		GTKText.h GTKCheckButton.h GTKScrollbar.h GTKCurve.h \
		GTKHSeparator.h GTKTree.h GTKScrolledWindow.h \
		GTKInputDialog.h GTKCombo.h GTKOptionMenu.h \
		GTKColorSelectionDialog.h GTKHScale.h GTKImage.h \
		GTKButton.h GTKMenuFactory.h GTKColorSelection.h \
		GTKButtonBox.h GTKSeparator.h GTKEntry.h GTKCheckMenuItem.h \
		GTKItem.h GTKVScale.h GTKMenuItem.h GTKScale.h GTKBin.h \
		GTKTooltips.h GTKTable.h GTKToggleButton.h GTKRange.h \
		GTKListItem.h GTKArrow.h GTKMenuBar.h GTKDrawingArea.h \
		GTKWindow.h GTKHandleBox.h GTKMisc.h GTKEditable.h \
		GTKAspectFrame.h GTKVSeparator.h GTKGammaCurve.h GTKBox.h \
		GTKPaned.h GTKNotebook.h GTKRadioButton.h GTKMain.h \
		GTKStyle.h GTKProgressBar.h GTKStatusbar.h GTKViewport.h \
		GTKApplication.h GTKMenuShell.h GTKCList.h GTKAlignment.h \
		GTKAcceleratorTable.h GTK.h GTKVRuler.h GTKMenu.h GTKList.h \
		GTKWidget.h GTKHBox.h GTKVPaned.h GTKPixmap.h \
		GTKFileSelection.h GTKVScrollbar.h GTKVButtonBox.h \
		GTKTipsQuery.h GTKAdjustment.h GTKData.h GTKSpinButton.h \
		GTKContainer.h
OBJECTS =	GTKAction.o GToolKit.o GTK.o GTKApplication.o
SOURCES =	GTKAction.m GToolKit.m GTK.m GTKApplication.m
JAVACLS =
JAVASRC =

#>		--- do not remove this line ---
AR =		ar
ARFLAGS =	cr
BINEXT =
CC =		@CC@
CFLAGS =	@CFLAGS@# -Wno-parentheses -Wno-import
# CFLAGS =	-Wall -g -DDEBUG
CPPFLAGS =	@CPPFLAGS@
DEFS =		@DEFS@
DISTCLEAN =	Makefile config.h config.cache config.log config.status libtool
INCLUDES =	-I.. `gtk-config --cflags`
INSTALL =	@INSTALL@
INSTALL_DATA =	$(INSTALL) -m 644
INSTALL_PROGRAM =	$(INSTALL) -s
LDFLAGS =	@LDFLAGS@
LEX =		@LEX@
LIBS =		@LIBS@ -lobjc `gtk-config --libs` @PTHREAD@# -lm
LIBTOOL =	@LIBTOOL@ $(LTFLAGS)
LPR =		lpr -h
PROGRAMS =	$(OBJECTS:.o= )
RANLIB =	@RANLIB@
RM =		rm -f
VERSION =	1:5
YACC =		@YACC@

prefix =	@prefix@
exec_prefix =	@exec_prefix@
bindir =	@bindir@
datadir =	@datadir@
includedir =	@includedir@
infodir =	@infodir@
libdir =	@libdir@
libexecdir =	@libexecdir@
mandir =	@mandir@
sbindir =	@sbindir@
sysconfdir =	@sysconfdir@
top_builddir =	@top_srcdir@

COMPILE =	$(LIBTOOL) $(CC) -c $(CFLAGS) $(DEFS) $(INCLUDES) $(CPPFLAGS)

LTTARGET =	$(TARGET:.a=.la)
LTADDLIBS =	$(ADDLIBS:.a=.la)
LTOBJECTS =	$(OBJECTS:.o=.lo)
LTCLEAN =	$(CLEAN:.o=.lo)

.SUFFIXES:	.l .y .m .cc
.c.o:
		$(COMPILE) $<
.m.o:
		$(COMPILE) $<
.cc.o:
		$(COMPILE) $<
.y.c:
		$(YACC) $(YFLAGS) -d $<
		mv y.tab.c $*.c
		cmp -s y.tab.h $*.h || cp y.tab.h $*.h
.y.h:
		$(YACC) $(YFLAGS) -d $<
		mv y.tab.c $*.c
		cmp -s y.tab.h $*.h || cp y.tab.h $*.h

SHELL =		/bin/sh

$(TARGET) :	$(OBJECTS) $(ADDLIBS)
		$(LIBTOOL) $(CC) -rpath $(libdir) -o $(LTTARGET) -version-info \
		    $(VERSION) $(LDFLAGS) $(LTOBJECTS) $(LTADDLIBS) $(LIBS)

check :		$(TARGET)

clean :
		$(LIBTOOL) $(RM) $(LTCLEAN) $(LTTARGET) core
		$(RM) -r .libs

distclean :	clean
		$(RM) $(DISTCLEAN)

print :
		$(LPR) $(HEADERS) $(SOURCES)

install :	$(TARGET)
		$(LIBTOOL) $(INSTALL) $(LTTARGET) $(libdir)
		$(RM) -r $(includedir)/GToolKit
		mkdir $(includedir)/GToolKit
		$(INSTALL) -m 444 $(HEADERS) $(includedir)/GToolKit

uninstall :
		$(LIBTOOL) $(RM) $(libdir)/$(LTTARGET)
		$(RM) -r $(includedir)/GToolKit

html :
		$(RM) -r ../$@
		objcdoc ../$@ . .

gen :
		for file in /usr/local/include/gtk/*;	\
		    do gtkgen -stdout "$$file"; gtkgen -skip -stdout "$$file"; \
		done >GToolKit.m

makefile :
		mfg -o Makefile.in $(TARGET) *
		mfg -o Makefile.os2 -f lib.os2 `expr $(TARGET) : 'lib\(.*\)'` *

#>		--- do not remove this line ---

Force_Update :

GTKAction.o :	GTKAction.m

GToolKit.o :	GToolKit.m

GTK.o :	GTK.m

GTKApplication.o :	GTKApplication.m
